Subject: bug#33820: closed (Re: bug#33820: Acknowledgement ([PATCH 0/9] Adopt NixOS patches for KDE Frameworks))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Jan 2019 09:29:02 +0000

Your bug report

#33820: [PATCH 0/9] Adopt NixOS patches for KDE Frameworks

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33820: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33820
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33820: Acknowledgement ([PATCH 0/9] Adopt NixOS patches for KDE Frameworks)
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Fri, 4 Jan 2019 10:28:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Applied as fb0356d9564255b6a983960d06d274b3ee3a1903

Subject: [PATCH 0/9] Adopt NixOS patches for KDE Frameworks
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Fri, 21 Dec 2018 11:08:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I reviewed the patches NixOS aplies to KDE, like I did for Qt (see bug
#30340). The changes in this series hold the result. I stepped over these when
trying to make KDE Plasma work.

Most changes are about using store-paths to other packages and for dynamically
loaded libs.  To ease future work, I also added comments about patches we do
not need and why.

Whenenver possible, the "patch" was implemented using `substitute`.

Hartmut Goebel (9):
  gnu: kcmutils: Make QDirIterator follow symlinks.
  gnu: kcmutils: Print plugin name when loading fails.
  gnu: kconfigwidgets: Make QDirIterator follow symlinks.
  gnu: kdelibs4support: Add todo comment for a patch from NixOS.
  gnu: kio: Search 'smbd' on $PATH.
  gnu: kinit: Use the store paths for dynamically loaded libs.
  gnu: kinit: Use LIBRARY_PATH to search for dynamically loaded libs.
  gnu: kpackage: Transfer patches from NixOS.
  gnu: kservice: Transfer patches from NixOS.

 gnu/local.mk                                       |  4 ++
 gnu/packages/kde-frameworks.scm                    | 79 ++++++++++++++++++++--
 .../patches/kinit-kdeinit-extra_libs.patch         | 55 +++++++++++++++
 gnu/packages/patches/kinit-kdeinit-libpath.patch   | 37 ++++++++++
 gnu/packages/patches/kio-search-smbd-on-PATH.patch | 30 ++++++++
 .../patches/kpackage-allow-external-paths.patch    | 13 ++++
 6 files changed, 212 insertions(+), 6 deletions(-)
 create mode 100644 gnu/packages/patches/kinit-kdeinit-extra_libs.patch
 create mode 100644 gnu/packages/patches/kinit-kdeinit-libpath.patch
 create mode 100644 gnu/packages/patches/kio-search-smbd-on-PATH.patch
 create mode 100644 gnu/packages/patches/kpackage-allow-external-paths.patch

-- 
2.13.7